/* ------------------------------- DEFS.H ----------------------------------
       Copyright (c) Spark Software Inc. 1990-1992.  All rights reserved.
   ------------------------------------------------------------------------- */

/* Strings. */
#define APP_NAME                        CLIENT_APP_NAME
#define MASTER_CLASS_NAME               "DDEMLDemoClientClass"

/* Message IDs. */
#define MM_FILE_FOUND                   (WM_USER)

/* Resource IDs. */
#define APP_ICON                        1
#define APP_ACCELTAB                    2
#define APP_MENU                        3

#define DLG_ABOUT                       100
#define DLG_CONFIGURE                   200
#define DLG_BROWSE_FILE                 300

/* Menu IDs. */
#define IDM_FIND                        1
#define IDM_CONFIGURE                   2
#define IDM_CLEAR_WINDOW                3

#define IDM_BROWSE_FILE                 10

#define IDM_DDE_TOPICS                  20
#define IDM_DDE_SYSITEMS                21
#define IDM_DDE_RTNMSG                  22
#define IDM_DDE_STATUS                  23
#define IDM_DDE_FORMATS                 24
#define IDM_DDE_HELP                    25


#define IDM_ABOUT                       30

/* Control IDs. */
#define IDC_LB_FOUND_FILE               100 // Cannot coincide with any IDM_*s

#define IDC_CB_XMIT_TO_PROGMAN          (DLG_CONFIGURE + 1)
#define IDC_CB_CONTINUOUS               (DLG_CONFIGURE + 2)
#define IDC_ST_DELAY                    (DLG_CONFIGURE + 3)
#define IDC_ET_DELAY                    (DLG_CONFIGURE + 4)
#define IDC_ET_DIRECTORY                (DLG_CONFIGURE + 5)
#define IDC_ET_TIMEOUT                  (DLG_CONFIGURE + 6)
#define IDC_ET_SERVER_NODE              (DLG_CONFIGURE + 7)

#define IDC_ET_FILE                     (DLG_BROWSE_FILE + 1)

/* Client-specific limits. */
#define MAX_NODE_NAME_LENGTH            32
#define MAX_HSZ_LENGTH                  256

/* Type definitions. */
typedef struct
{
    BYTE         szBaseName[ MAX_BASENAME_LENGTH + 1 ];
    DWORD        dwFileSize;
    GLOBALHANDLE hFileContents;
}
BROWSEFILEINFO;
typedef BROWSEFILEINFO FAR * LPBROWSEFILEINFO;

/* EOF */
